/*********************************************************************
Project	:	cmp				-	GNU cmp
File		:	cmp.r				-	Commando dialog
Author	:	Matthias Neeracher <neeri@iis.ethz.ch>
Started	:	26Jan93								Language	:	MPW C
Last		:	26Jan93
*********************************************************************/

#include "SysTypes.r"		/* To get system types */
#include "Types.r"			/* To get general types */
#include "Cmdo.r"				/* For commando interface */

resource 'vers' (1) {
	0x01, 0x00, final, 0x00, verUS,
	"1.0",
	"cmp"
	};
	
resource 'vers' (2) {
	0x01, 0x00, final, 0x00, verUS,
	"1.0",
	"cmp 1.0 (26Jan93)"
	};

resource 'cmdo' (128) {
	{
		295,			/* Height of dialog */
		"GNU Cmp -- Find differences between two files/directories",
		{
			And {{-3}}, CheckOption {
				NotSet,{ 85,  20, 101, 250}, "Verbose", "--verbose", 
				"Print (decimal) offsets and (octal) values of any differing bytes."
			},
			And {{-3}}, CheckOption {
				NotSet,{105,  20, 121, 250}, "Print Characters", "--print-chars", 
				"Print differing characters."
			},
			And {{-1,-2}}, CheckOption {
				NotSet,{125,  20, 141, 250}, "Silent", "--silent", 
				"Don't print anything, only return status."
			},
			notDependent {}, Files {
				InputFileOrDir,
				OptionalFile {
					{ 20,  10,  36, 48},
					{ 18,  50,  38, 235},
					"From",
					"", "", "",
					"Select from-file/folder.",
					dim,
					"",
					"Select from-file/folder",
					"",
				},
				Additional {
					"",
					FilterTypes,
					"Text Files",
					"All Files",
					{text}
				}
			},
			notDependent {}, Files {
				InputFileOrDir,
				OptionalFile {
					{ 47,  10,  63,  48},
					{ 45,  50,  65, 235},
					"To",
					"", "", "",
					"Select to-file/folder.",
					dim,
					"",
					"Select to-file/folder",
					"",
				},
				Additional {
					"",
					FilterTypes,
					"Text Files",
					"All Files",
					{text}
				}
			},
			notDependent {}, Redirection {
				StandardOutput,
				{ 90,  275}
			},
			notDependent {}, Redirection {
				DiagnosticOutput,
				{140,  275}
			},
			notDependent {}, TextBox {
				gray,
				{ 75,  10, 185, 260},
				"Format"
			},
			notDependent {}, TextBox {
				gray,
				{ 75, 265, 185, 470},
				"Redirection"
			},
			notDependent {}, VersionDialog {
				VersionString {
					"2.6"
				},
				"GNU Cmp by Torbjorn Granlund and David MacKenzie\n"
				"MPW port by Matthias Neeracher <neeri@iis.ethz.ch>\n",
				0
			},
			Or {{4,5}}, DoItButton {
			},
		},
	}
};
