/*********************************************************************
Project	:	Diff				-	GNU Diff
File		:	Diff.r			-	Commando dialog
Author	:	Matthias Neeracher <neeri@iis.ethz.ch>
Started	:	31Dec92								Language	:	MPW C
Last		:	31Dec92
*********************************************************************/

include "diff.rsrc";

#include "SysTypes.r"		/* To get system types */
#include "Types.r"			/* To get general types */
#include "Cmdo.r"				/* For commando interface */

resource 'vers' (1) {
	0x02, 0x20, final, 0x00, verUS,
	"2.3",
	"Diff"
	};
	
resource 'vers' (2) {
	0x02, 0x20, final, 0x00, verUS,
	"2.3",
	"Diff 2.3 (23May93)"
	};

resource 'cmdo' (128) {
	{
		295,			/* Height of dialog */
		"GNU Diff -- Find differences between two files/directories",
		{
			notDependent {}, RadioButtons {
				{
					{ 85,  15, 100, 125}, "Normal/Other", "", set, 
					"Use normal format or choose format from \"Input Options\".",
					{105,  15, 120, 125}, "Brief", "--brief", notset, 
					"Report only whether files differ, not the details of the differences.",
					{125,  15, 140, 125}, "Context", "--context", notset, 
					"Show differences in context.",
					{145,  15, 160, 125}, "Conditional", "--ifdef", notset, 
					"Merge files, conditional to an #ifdef macro.",
					{165,  15, 180, 125}, "Side by Side", "--side-by-side", notset, 
					"Show files side by side."
				}
			},
			And { { (3<<12) + 1 } }, RegularEntry {
				"Lines",
				{125, 130, 140, 180}, 
				{125, 185, 141, 250},
				"3",
				ignoreCase,
				"-C",
				"How many lines of context to provide."
			},
			And { { (4<<12) + 1 } }, RegularEntry {
				"Macro",
				{145, 130, 160, 180}, 
				{145, 185, 161, 250},
				"",
				ignoreCase,
				"",
				"Preprocessor macro name."
			},
			And { { (5<<12) + 1 } }, RegularEntry {
				"Width",
				{165, 130, 180, 180}, 
				{165, 185, 181, 250},
				"130",
				ignoreCase,
				"--width",
				"Width of output lines."
			},
			notDependent {}, NestedDialog	{
				2,
				{ 17, 275,  37, 460},
				"Input Options",
				"Further options affecting input processing."
			},
			notDependent {}, NestedDialog	{
				3,
				{ 44, 275,  64, 460},
				"Output Options",
				"Further options affecting output processing."
			},
			notDependent {}, Files {
				InputFileOrDir,
				OptionalFile {
					{ 20,  10,  36, 48},
					{ 18,  50,  38, 235},
					"From",
					"", "", "",
					"Select from-file/folder.",
					dim,
					"",
					"Select from-file/folder",
					"",
				},
				Additional {
					"",
					FilterTypes,
					"Text Files",
					"All Files",
					{text}
				}
			},
			notDependent {}, Files {
				InputFileOrDir,
				OptionalFile {
					{ 47,  10,  63,  48},
					{ 45,  50,  65, 235},
					"To",
					"", "", "",
					"Select to-file/folder.",
					dim,
					"",
					"Select to-file/folder",
					"",
				},
				Additional {
					"",
					FilterTypes,
					"Text Files",
					"All Files",
					{text}
				}
			},
			notDependent {}, Redirection {
				StandardOutput,
				{ 90,  275}
			},
			notDependent {}, Redirection {
				DiagnosticOutput,
				{140,  275}
			},
			notDependent {}, TextBox {
				gray,
				{ 75,  10, 185, 260},
				"Format"
			},
			notDependent {}, TextBox {
				gray,
				{ 75, 265, 185, 470},
				"Redirection"
			},
			notDependent {}, VersionDialog {
				VersionString {
					"2.6"
				},
				"GNU Diff by David MacKenzie, Paul Eggert, and Richard Stallman\n"
				"MPW port by Matthias Neeracher <neeri@iis.ee.ethz.ch>\n",
				0
			},
			And {{7,8}}, DoItButton {
			},
		},
		270,
		"",
		{
			notDependent {}, CheckOption {
				NotSet,{ 35,  20,  51, 200}, "Case", "--ignore-case", 
				"Ignore changes in case."
			},
			And {{-3}}, CheckOption {
				NotSet,{ 55,  20,  71, 200}, "Spacing changes", "--ignore-space-change", 
				"Treat all whitespace runs as one space."
			},
			And {{-2}}, CheckOption {
				NotSet,{ 75,  20,  91, 200}, "All spaces", "--ignore-all-space", 
				"Ignore whitespace when comparing lines."
			},
			notDependent {}, CheckOption {
				NotSet,{ 95,  20, 111, 200}, "Blank lines", "--ignore-blank-lines", 
				"Ignore changes that just insert or delete blank lines."
			},
			notDependent {}, RegularEntry {
				"Lines matching", 			
				{116,  37, 132, 140}, 
				{117, 150, 132, 228}, 
				"", 
				keepCase, 
				"--ignore-matching-lines", 
				"Ignore changes that just insert or delete lines matching the expression."
			},
			notDependent {}, CheckOption {
				NotSet,{ 35, 255,  51, 435}, "Recursive Comparison", "--recursive", 
				"Recursively compare subdirectories."
			},
			notDependent {}, CheckOption {
				NotSet,{ 55, 255,  71, 435}, "Create nonexisting files", "--new-file", 
				"Treat nonexisting files as present but empty."
			},
			notDependent {}, CheckOption {
				NotSet,{ 75, 255,  91, 435}, "Report identical files", "--report-identical-files", 
				"Report when two files are the same."
			},
			notDependent {}, RegularEntry {
				"Start with", 			
				{ 96, 272, 112, 375}, 
				{ 97, 385, 112, 463}, 
				"", 
				keepCase, 
				"--starting-file", 
				"Start in the middle of directories."
			},
			notDependent {}, RegularEntry {
				"Ignore pattern", 			
				{116, 272, 132, 375}, 
				{117, 385, 132, 463}, 
				"", 
				keepCase, 
				"--exclude", 
				"Ignore files and subdirectories matching the pattern."
			},
			notDependent {}, RegularEntry {
				"Ignore file", 			
				{136, 272, 152, 375}, 
				{137, 385, 152, 463}, 
				"", 
				keepCase, 
				"--exclude-from", 
				"Ignore files and subdirectories matching any pattern in file."
			},
			notDependent {}, TextBox {
				gray,
				{ 25,  10, 160, 235},
				"Ignore"
			},
			notDependent {}, TextBox {
				gray,
				{ 25, 245, 160, 470},
				"Directory Options"
			},
		},
		270,
		"",
		{
			And {{-2}}, CheckOption {
				NotSet,{ 35,  20,  51, 200}, "Left column only", "--left-column", 
				"Show only left column of matching lines."
			},
			And {{-1}}, CheckOption {
				NotSet,{ 55,  20,  71, 200}, "Suppress common lines", "--suppress-common-lines", 
				"Don't show matching lines"
			},
			notDependent {}, CheckOption {
				NotSet,{110,  20, 126, 200}, "Expand tabulators", "--expand-tabs", 
				"Expand tabulators to spaces."
			},
			notDependent {}, CheckOption {
				NotSet,{130,  20, 146, 200}, "Initial tab", "--initial-tab", 
				"Start lines with tab instead of space."
			},
			And {{-6}}, CheckOption {
				NotSet,{ 35, 255,  51, 435}, "Show C function headers", "--show-c-function", 
				"Show which C function each change is in."
			},
			And {{-5}}, RegularEntry {
				"Show match", 			
				{ 56, 272,  72, 375}, 
				{ 57, 385,  72, 463}, 
				"", 
				keepCase, 
				"--show-function-line", 
				"For each diff, show some of the last line that matched the pattern."
			},
			notDependent {}, RegularEntry {
				"From Label", 			
				{ 76, 272,  92, 375}, 
				{ 77, 385,  92, 463}, 
				"", 
				keepCase, 
				"--label", 
				"Use label instead of file name for from-file."
			},
			And {{7}}, RegularEntry {
				"To label", 			
				{ 96, 272, 112, 375}, 
				{ 97, 385, 112, 463}, 
				"", 
				keepCase, 
				"--label", 
				"Use label instead of file name for to-file."
			},
			notDependent {}, NestedDialog	{
				4,
				{132, 275, 152, 460},
				"Output Formats",
				"Specify your own output formats."
			},
			notDependent {}, TextBox {
				gray,
				{ 25,  10,  80, 235},
				"Side by Side Options"
			},
			notDependent {}, TextBox {
				gray,
				{ 95,  10, 160, 235},
				"Tabulator Options"
			},
			notDependent {}, TextBox {
				gray,
				{ 25, 245, 120, 470},
				"Labelling"
			},
		},
		230,
		"",
		{
			notDependent {}, RegularEntry {
				"Old lines", 			
				{ 36,  20,  52, 115}, 
				{ 37, 120,  52, 228}, 
				"", 
				keepCase, 
				"--old-line-format", 
		"Formats lines just from the first file. Conversion specifications are:\n"
		"%l current line without newline. %L current line including newline.\n"
		"%n newline. %0 null character. %% percent character."
			},
			notDependent {}, RegularEntry {
				"New lines", 			
				{ 56,  20,  72, 115}, 
				{ 57, 120,  72, 228}, 
				"", 
				keepCase, 
				"--new-line-format", 
		"Formats lines just from the second file. Conversion specifications are:\n"
		"%l current line without newline. %L current line including newline.\n"
		"%n newline. %0 null character. %% percent character."
			},
			notDependent {}, RegularEntry {
				"Common lines", 			
				{ 76,  20,  92, 115}, 
				{ 77, 120,  92, 228}, 
				"", 
				keepCase, 
				"--unchanged-line-format", 
		"Formats lines common to both files. Conversion specifications are:\n"
		"%l current line without newline. %L current line including newline.\n"
		"%n newline. %0 null character. %% percent character."
				},
			notDependent {}, RegularEntry {
				"Old groups", 			
				{ 36, 255,  52, 360}, 
				{ 37, 365,  52, 463}, 
				"", 
				keepCase, 
				"--old-group-format", 
		"Formats groups of lines from the first file. Conversion specifications are:\n"
		"%< lines from first file.\n"
		"%n newline. %0 null character. %% percent character."
			},
			notDependent {}, RegularEntry {
				"New groups", 			
				{ 56, 255,  72, 360}, 
				{ 57, 365,  72, 463}, 
				"", 
				keepCase, 
				"--new-group-format", 
		"Formats groups of lines from the second file. Conversion specifications are:\n"
		"%> lines from second file.\n"
		"%n newline. %0 null character. %% percent character."
			},
			notDependent {}, RegularEntry {
				"Common groups", 			
				{ 76, 255,  92, 360}, 
				{ 77, 365,  92, 463}, 
				"", 
				keepCase, 
				"--unchanged-group-format", 
		"Formats groups of lines common to both files. Conversion specifications:\n"
		"%= common lines.\n"
		"%n newline. %0 null character. %% percent character."
				},
			notDependent {}, RegularEntry {
				"Changed groups", 			
				{ 96, 255, 112, 360}, 
				{ 97, 365, 112, 463}, 
				"", 
				keepCase, 
				"--changed-group-format", 
		"Formats groups of lines from to both files. Conversion specifications are:\n"
		"%< lines from first file. %> lines from second file. %= common lines.\n"
		"%n newline. %0 null character. %% percent character."
				},
			notDependent {}, TextBox {
				gray,
				{ 25,  10, 120, 235},
				"Line Formats"
			},
			notDependent {}, TextBox {
				gray,
				{ 25, 245, 120, 470},
				"Group Formats"
			},
		}
	}
};
